unit uSelectDir;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls, Buttons, FileCtrl, ExtCtrls;

type
  TfrmSelectDir = class(TForm)
    Panel1: TPanel;
    FileListBox1: TFileListBox;
    DirectoryListBox1: TDirectoryListBox;
    DriveComboBox1: TDriveComboBox;
    OkBtn: TBitBtn;
    CancelBtn: TBitBtn;
    Label1: TLabel;
    Label2: TLabel;
    Label3: TLabel;
    Edit1: TEdit;
    Label4: TLabel;
    procedure DirectoryListBox1DblClick(Sender: TObject);
    procedure FormCreate(Sender: TObject);
    procedure FileListBox1Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  frmSelectDir: TfrmSelectDir;

implementation

uses
  uAct1N;
{$R *.dfm}

procedure TfrmSelectDir.DirectoryListBox1DblClick(Sender: TObject);
begin
  Edit1.Text := DirectoryListBox1.Directory + '\';
end;

procedure TfrmSelectDir.FormCreate(Sender: TObject);
begin
  Edit1.Text := DirectoryListBox1.Directory + '\';
end;

procedure TfrmSelectDir.FileListBox1Click(Sender: TObject);
begin
  Edit1.Text := FileListBox1.FileName;
end;

end.

